Subject: bug#21456: 24.5; Emacs does not respect fcitx as GTK input method

From: Eric Abrahamsen <[email-masked]>
Date: Sun, 06 Dec 2020 09:56:14 -0800

On 12/06/20 14:11 PM, Lars Ingebrigtsen wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
>> Start fcitx, configure it to toggle between English and Chinese, note
>> the "trigger key" (I've set mine to F7). Start Emacs, hit the trigger
>> key, and Emacs tells me "<f7> is undefined". In all other applications,
>> F7 toggles the input method.
>
> I've never used any of that stuff, so bear with me:
>
> I say
>
> $ fcitx
> [...]
> (INFO-1295180 addon.c:151) Load Addon Config File:fcitx-x11.conf
> (INFO-1295180 addon.c:151) Load Addon Config File:fcitx-vk.conf
> (INFO-1295180 addon.c:151) Load Addon Config File:fcitx-classic-ui.conf
> (INFO-1295180 addon.c:151) Load Addon Config File:fcitx-xkb.conf
> (INFO-1295180 addon.c:151) Load Addon Config File:fcitx-keyboard.conf
> (INFO-1295180 addon.c:151) Load Addon Config File:fcitx-notificationitem.conf
> (ERROR-1295180 ime.c:432) fcitx-keyboard-in-tel-kagapa already exists
> (ERROR-1295180 ime.c:432) fcitx-keyboard-cm-mmuock already exists
> $
>
> Now what?  I don't see any way to configure anything, and "man fcitx" is
> singularly unhelpful.

Sorry, I could have given more useful directions. What system are you
on? Are these errors preventing fcitx from starting up at all?

On Arch Linux I installed the "fcitx", "fcitx-libpinyin", and
"fcitx-googlepinyin" libraries -- the last two each have a dependency,
"libpinyin" and "libgooglepinyin", respectively. libpinyin and
libgooglepinyin are redundant with each other, as far as I can tell
either one should display the erroneous behavior, but you might have an
easier time installing one over the other.

There's also a "fcitx-configtool" which provides a GTK view on the
config files, that might be more work than it's worth.

On my machine the TriggerKey config is set in ~/.config/fcitx/config.
You might have to look around, but try to find the TriggerKey item. Once
fcitx is running, that's your hotkey for toggling input.

If fcitx won't start at all... I'm not sure how to debug that.

Eric